import { jsx as a } from "react/jsx-runtime";
import { cn as r } from "../../../lib/utils.js";
import { S as e } from "../../../StickToBottom-BGUuEI8O.js";
function s({
  children: t,
  className: o,
  ...n
}) {
  return /* @__PURE__ */ a(
    e,
    {
      className: r("flex overflow-y-auto", o),
      "data-slot": "chat-container-root",
      initial: "instant",
      resize: "smooth",
      role: "log",
      ...n,
      children: t
    }
  );
}
function f({
  children: t,
  className: o,
  ...n
}) {
  return /* @__PURE__ */ a(
    e.Content,
    {
      className: r("flex w-full flex-col", o),
      "data-slot": "chat-container-content",
      ...n,
      children: t
    }
  );
}
function h({
  className: t,
  ...o
}) {
  return /* @__PURE__ */ a(
    "div",
    {
      "aria-hidden": "true",
      className: r("h-px w-full shrink-0 scroll-mt-4", t),
      "data-slot": "chat-container-scroll-anchor",
      ...o
    }
  );
}
export {
  f as ChatContainerContent,
  s as ChatContainerRoot,
  h as ChatContainerScrollAnchor
};
